2019-12-08 00:28 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001165FSSCPOpenGLpublic2012-01-09 13:06
ReporterTolwyn 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001165: Tertiary thrusters do not work on capital ships
DescriptionWhat the title says.

Specifying tertiary thrusters in the ships.tbl has no effect ingame:

$Thruster01 Radius factor: 1.2
$Thruster02 Radius factor: 1.2
$Thruster03 Radius factor: 1.9

This entry works on fighters without any problems.

We are using DDS thrusters. Now that I think of it: only the long engine trail will be rendered (It is the secondary thruster unless I am much mistaken) if using TGA thrusters.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007247

taylor (administrator)

See if it's fixed in: http://icculus.org/~taylor/fso/willrobinson/hoopla.rar

~0007259

Tolwyn (reporter)

excellent, thanks!

~0007260

Tolwyn (reporter)

what's this rubbish anyway?


Warning: Use of deprecated subsystem syntax. Please use the $Flags: field for subsystem flags.

At least one of the following tags was used on ship TCS CV-50 Wellington, subsystem ÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌÌhstuff03a:
    +untargetable
    +carry-no-damage
    +use-multiple-guns
    +fire-down-normals

File:J:\src\cvs\fs2_open_3_6_9.pre\code\ship\Ship.cpp
Line: 4255
[This filename points to the location of a file on the computer that built this executable]

Call stack:
------------------------------------------------------------------
    parse_shiptbl() ship_init() game_init() game_main() WinMain() WinMainCRTStartup() kernel32.dll 7c816f9f()
------------------------------------------------------------------

~0007261

Tolwyn (reporter)

and a small nitpick: why are secondary thrusters fading away depending on the angle

~0007262

Tolwyn (reporter)

take a look at this. Is this intended? Can't see why it should, but...

I mean, how should thruster flame be visible from one angle and not from another?

~0007263

taylor (administrator)

The subsystem syntax was changed by WMC in the untable branch, and Goober just added that to the stable branch (3.6.9) to try and keep things compatible. I'm debating whether to change it from a Warning to just a quiet debug log thing though, since it is rather annoying. Both the old and new options work still. What it basically means is that instead of using +untargetable and/or one of the others, you replace them with something like: $Flags: ( "untargetable" "carry no damage" )

As far as fading away, I'm not really sure. That's still Bobboau's original code so he would be the one to ask about it.

~0007264

Tolwyn (reporter)

from what I gathered Wanderer changed that to avoid clipping issues. The result is that I am forced to reduce the trail length by factor two to keep this less noticeable, i.e. I add

$Thruster01 Length factor: 0.5

which oddly enough scales the length of Thruster02.

Personally I see no reason for this fading, because the clipping issue is related to primary/tertiary thrusters. The secondary thruster has little effect if placed properly.

~0007276

taylor (administrator)

Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-12-03 13:51 Tolwyn New Issue
2006-12-03 13:51 Tolwyn Status new => assigned
2006-12-03 13:51 Tolwyn Assigned To => taylor
2006-12-06 03:40 taylor Note Added: 0007247
2006-12-06 06:15 Tolwyn Note Added: 0007259
2006-12-06 06:21 Tolwyn Note Added: 0007260
2006-12-06 06:28 Tolwyn Note Added: 0007261
2006-12-06 12:00 Tolwyn File Added: thrusters.jpg
2006-12-06 12:01 Tolwyn Note Added: 0007262
2006-12-06 14:13 taylor Note Added: 0007263
2006-12-06 15:10 Tolwyn Note Added: 0007264
2006-12-07 15:46 taylor Status assigned => resolved
2006-12-07 15:46 taylor Fixed in Version => 3.6.9
2006-12-07 15:46 taylor Resolution open => fixed
2006-12-07 15:46 taylor Note Added: 0007276
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3789
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3789
+Issue History